using System;

namespace TopCoder.Uml.Xmi.MetaData
{
    /// <summary>
    /// Enumerated references to a UML type.
    /// </summary>
    /// <author>Dan Manges (Seiz3r)</author>
    public enum UmlType
    {
        /// <summary>
        /// References a UML:DataType
        /// </summary>
        DataType,
        /// <summary>
        /// References a UML:Class
        /// </summary>
        Class,
        /// <summary>
        /// References a UML:Interface
        /// </summary>
        Interface,
        /// <summary>
        /// References an unknown UML type.
        /// </summary>
        Other
    }
}
